Bug 198241 - graphics/gimp: add CPE information
Summary: graphics/gimp: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-03 18:22 UTC by shun
Modified: 2015-03-28 16:32 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Makefile with CPE information added (331 bytes, patch)
2015-03-03 18:22 UTC, shun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2015-03-03 18:22:25 UTC
Created attachment 153726 [details]
Makefile with CPE information added

graphics/gimp has had vulnerabilities with a CPE identifier assigned (e.g. CVE-2012-3481). This patch add CPE information as suggested in the FreeBSD wiki[0].

[0] https://wiki.freebsd.org/Ports/CPE
Comment 1 commit-hook freebsd_committer 2015-03-27 10:38:25 UTC
A commit references this bug:

Author: robak
Date: Fri Mar 27 10:38:09 UTC 2015
New revision: 382394
URL: https://svnweb.freebsd.org/changeset/ports/382394

Log:
  graphics/gimp: add CPE information

  PR:		198241
  Submitted by:	Shun <shun.fbsd.pr@dropcut.net>
  Approved by:	kwm (blanket)

Changes:
  head/graphics/gimp/Makefile
Comment 2 Bartek Rutkowski freebsd_committer 2015-03-27 10:46:47 UTC
Committed, thanks for your work!
Comment 3 commit-hook freebsd_committer 2015-03-28 16:32:45 UTC
A commit references this bug:

Author: robak
Date: Sat Mar 28 16:32:34 UTC 2015
New revision: 382522
URL: https://svnweb.freebsd.org/changeset/ports/382522

Log:
  graphics/gimp: remove CPE information

  - After discussing with kwm I decided to remove CPE info from graphics/gimp because
    it is just a meta port and relevand CPE bits are supposed to be added to the ports it pulls instead

  PR:		198241
  Approved by:	kwm (blanket)

Changes:
  head/graphics/gimp/Makefile